Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518673 - [RFE] Middleware - advanced filters should allow filter by MW server for deployments, datasources and messaging
Summary: [RFE] Middleware - advanced filters should allow filter by MW server for depl...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.10.0
Assignee: Alissa
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-29 12:51 UTC by Tomas Coufal
Modified: 2018-03-09 15:00 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-08 14:26:17 UTC
Category: ---
Cloudforms Team: Middleware


Attachments (Terms of Use)

Description Tomas Coufal 2017-11-29 12:51:26 UTC
Description of problem:
Listing MW datasources, deployments and messaging allows user to apply and advanced search/filter. The search query builder allows to filter by "field"s. But only fields for MiddlewareMessaging properties (or MiddelwareDeployment etc.) and MiddlewareMessaging.Provider are listed there. Each MW messaging/datasource/deployment is related to a server as well and it make sense to allow user to filter based on the server criteria. 

Version-Release number of selected component (if applicable):
5.9.0

How reproducible:
always

Steps to Reproduce:
1. List e.g. Middleware Deployments
2. On the top right search box click the "double arrow down" button, a popup for advanced search appears
3. Select "Field" in the "<Choose>" dropdown
4.In the newly appeared select button, there's a list of applicable filter criterial

Actual results:
The list contains only Middleware Deployment's properties and its provider properties

Expected results:
A related Middleware Server proerties should be available as well

Additional info:
Please keep in mind that it applies to deployments as well as to datasources and messaging.


Note You need to log in before you can comment on or make changes to this bug.